Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2891003002: Store border-image-* on SurroundData in ComputedStyle (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by nainar
Modified:
4 months, 1 week ago
Reviewers:
meade_UTC10, rune, shend
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-css, blink-reviews-style_chromium.org, chromium-reviews, dglazkov+blink, rwlbuis
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Store border-image-* on SurroundData in ComputedStyle This patch moves the storage of border-image-* away from BorderStyle. We instead store them on the generated SurroundData group on ComputedStyle instead. We generate a BorderValue to pass to Layout in ComputedStyle from all the border information stored there. Diff: https://gist.github.com/a0eeb1d1383e4b502604b449867f9619/revisions BUG=628043 Review-Url: https://codereview.chromium.org/2891003002 Cr-Commit-Position: refs/heads/master@{#473173} Committed: https://chromium.googlesource.com/chromium/src/+/08b8ccad61fb9dd45f25aac7aab06dd8bbdb1856

Patch Set 1 #

Patch Set 2 : Ready for review #

Total comments: 6

Patch Set 3 : Rebase #

Patch Set 4 : Rebase #

Patch Set 5 : Rebase #

Patch Set 6 : Store border-image-* on SurroundData in ComputedStyle #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+38 lines, -112 lines) Patch
M third_party/WebKit/Source/build/scripts/make_computed_style_base.py View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/css/ComputedStyleExtraFields.json5 View 1 2 3 4 5 1 chunk +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/css/resolver/StyleResolver.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/style/BUILD.gn View 1 2 3 4 1 chunk +0 lines, -1 line 1 comment Download
D third_party/WebKit/Source/core/style/BorderData.h View 1 chunk +0 lines, -63 lines 0 comments Download
M third_party/WebKit/Source/core/style/CachedUAStyle.h View 3 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.h View 1 2 3 4 5 6 chunks +15 lines, -23 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.cpp View 1 2 3 4 5 4 chunks +15 lines, -17 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 44 (37 generated)
nainar
shend@, PTAL? Thanks! https://codereview.chromium.org/2891003002/diff/20001/third_party/WebKit/Source/core/style/ComputedStyle.h File third_party/WebKit/Source/core/style/ComputedStyle.h (left): https://codereview.chromium.org/2891003002/diff/20001/third_party/WebKit/Source/core/style/ComputedStyle.h#oldcode3005 third_party/WebKit/Source/core/style/ComputedStyle.h:3005: SetBorderTopStyle(EBorderStyle::kNone); These are remenants from a ...
4 months, 1 week ago (2017-05-18 05:27:34 UTC) #8
shend
lgtm https://codereview.chromium.org/2891003002/diff/20001/third_party/WebKit/Source/core/style/ComputedStyle.h File third_party/WebKit/Source/core/style/ComputedStyle.h (left): https://codereview.chromium.org/2891003002/diff/20001/third_party/WebKit/Source/core/style/ComputedStyle.h#oldcode3005 third_party/WebKit/Source/core/style/ComputedStyle.h:3005: SetBorderTopStyle(EBorderStyle::kNone); On 2017/05/18 at 05:27:34, nainar wrote: > ...
4 months, 1 week ago (2017-05-18 05:40:33 UTC) #11
nainar
meade@, PTAL? Thanks! https://codereview.chromium.org/2891003002/diff/20001/third_party/WebKit/Source/core/style/ComputedStyle.h File third_party/WebKit/Source/core/style/ComputedStyle.h (right): https://codereview.chromium.org/2891003002/diff/20001/third_party/WebKit/Source/core/style/ComputedStyle.h#newcode481 third_party/WebKit/Source/core/style/ComputedStyle.h:481: void SetBorderImage(const NinePieceImage& b) { SetBorderImageInternal(b); ...
4 months, 1 week ago (2017-05-18 06:00:50 UTC) #14
rune
rs lgtm
4 months, 1 week ago (2017-05-18 11:47:55 UTC) #19
nainar
https://codereview.chromium.org/2891003002/diff/100001/third_party/WebKit/Source/core/style/BUILD.gn File third_party/WebKit/Source/core/style/BUILD.gn (left): https://codereview.chromium.org/2891003002/diff/100001/third_party/WebKit/Source/core/style/BUILD.gn#oldcode16 third_party/WebKit/Source/core/style/BUILD.gn:16: "BorderData.h", Deleted this entry since last LGTM.
4 months, 1 week ago (2017-05-19 13:08:38 UTC) #38
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2891003002/100001
4 months, 1 week ago (2017-05-19 13:09:03 UTC) #41
commit-bot: I haz the power
4 months, 1 week ago (2017-05-19 13:13:42 UTC) #44
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/08b8ccad61fb9dd45f25aac7aab0...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b